dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	n = getNaija()
end

function update(me, dt)
	if node_isEntityIn(me, n) then
		x = entity_x(n) - node_x(me)
		y = entity_y(n) - node_y(me)
		vector_setLength(x, y, 2000*dt)
		entity_addVel(n, x, y)
	end
end
